package com.css.simulation.resource.open.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.vo.project.ProjectReportVo;
import api.common.util.ObjectUtil;
import com.css.simulation.resource.open.service.ReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Map;

@Controller
@RequestMapping("/report")
public class ReportCtrl {

    @Autowired
    ReportService reportService;

    /**
     * 获取测试报告详情
     * @param paramMap
     * @return
     */
    @RequestMapping("getSimulationReportById")
    @ResponseBody
    public ResponseBodyVO<ProjectReportVo> getSimulationReportById(@RequestBody Map<String,String> paramMap){
        if(ObjectUtil.isNull(paramMap) || ObjectUtil.isNull(paramMap.get("algorithmId"))){
            return new ResponseBodyVO(false, 500, "参数必传！",null);
        }
        ProjectReportVo reportVo = reportService.getSimulationReportById(paramMap);
        ResponseBodyVO<ProjectReportVo> response = new ResponseBodyVO<ProjectReportVo>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(reportVo);
        return response;
    }
}
